Subject: bug#55414: 29.0.50; Byte compilation error for the modus-themes

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 May 2022 14:32:21 +0300

> From: Protesilaos Stavrou <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Thu, 26 May 2022 08:55:00 +0300
> 
> >>     ((emacs-lisp-mode . ((max-lisp-eval-depth . 3000)
> >>                          (max-specpdl-size . 3000))))
> >> 
> >> Again, the values were ignored.
> >
> > How about advising package-install-file?
> 
> You mean at the theme level?  I am not sure how that would work and what
> its potential downsides are.
> 
> > Also, how do other packages overcome similar problems?  Surely, this
> > isn't the first or the second package that needs such measures?
> 
> I am not aware of other such cases.  This one is specific to the recent
> changes in Emacs 29 (as noted earlier in this thread).
> 
> > And finally, any ideas why a package that is just a theme need such
> > large values of these variables?
> 
> Because the theme covers about 3300 faces.  Assuming other things
> constant, to get it to byte compile again I need to remove more than
> 1200 faces, including popular groups like those of Gnus and Helm.
> 
> >> These methods work for other variables but not those two.  Perhaps
> >> because they are considered "risky" as file-local?
> >
> > No, I think that's because these facilities visit the file literally.
> 
> I see.  Thanks!
> 
> >> > If the above misses the point, please tell more how you compile the
> >> > package and how you tried to enlarge the values of those variables.
> >> 
> >> I don't use a Makefile.  The recipe I shared in the first message to
> >> this bug report affects installation via package.el and, by extension,
> >> GNU ELPA.
> >
> > If all else fails, perhaps package.el should acquire a feature whereby
> > these variables could be overridden during byte-compilation.
> 
> I am happy with whatever is best for Emacs.  Though I do not know enough
> about package.el to have an informed opinion on the matter.

Stefan, WDYT about adding such a facility to package.el?

Lars, is it just me, or are you also concerned by a large increase in
the default values of these variables?